# MT::Plugins::Redland::Tags
# -----------------
# $Revision: 1.1 $
# $Date: 2005/04/03 01:43:30 $
# ---------------------------------------------------------

package MT::Plugins::Redland::Tags;

use strict;
use warnings;


use Data::Dumper;
use RDF::Redland;

use MT 2.6;
use MT::Template::Context;

BEGIN {
	no warnings 'numeric';
	our $NAME		= "Redland Tags";
	our $VERSION	= '0.001';
	our $plugin_data	= {
			name		=> "${NAME}, v${VERSION}",
			description => 'Adds template tags to export RDF from Redland',
			doc_link	=> 'http://kasei.us/code/mtredland/'
		};
	
	if ($MT::VERSION >= 3.0) {
		require MT::Plugin;
		MT::Plugin->import();
		our $plugin	= new MT::Plugin($plugin_data);
		MT->add_plugin($plugin);
	}
}

our $debug		= 0;
use Data::Dumper;
use HTML::Parser;

######################################################################

MT::Template::Context->add_tag( RedlandRDF => sub {
	my $warnings;
	local($SIG{__WARN__})	= sub { $warnings .= $_[0] };
	my $ctx		= shift;
	my $args	= shift;
	my $entry	= $ctx->stash('entry') || $ctx->stash('entry_preview');
	my $url		= $entry->url();
	if ($url) {
		my $rdf;
		return $rdf . "\n<!--\n$warnings\n-->\n" if ($debug);
		return $rdf;
	} else {
		return "\n<!--\n$warnings\n-->\n" if ($debug);
		return '';
	}
} );

######################################################################
1;

__END__

=head1 SEE ALSO

 L<MT::Plugin>

=head1 KNOWN BUGS

None.

=head1 TODO

None.

=head1 LICENSE

Copyright (c) 2005 Gregory Williams. All rights reserved. This program is free
software; you can redistribute it and/or modify it under the same terms as Perl
itself.

=head1 AUTHOR

 Gregory Williams <gwilliams@cpan.org>

=cut
